Skip to content
Developer

EventTimingPoint

Events6 EndpointsEvent / EventTimingPoint

Returns a list of event timing point entries.

GET/api/event/timing_point

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
baseEventstring
namestring
pointTypestring
distanceMetersstring
sortOrderinteger
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of EventTimingPoint objectsarray<EventTimingPoint>

Show fields (11)
  • base_event_idinteger
  • idinteger

    Primary key of the timing point. Internal ID.

  • namestring

    Name of the timing point, for example start or finish.

  • point_typestring

    Type of the timing point.

  • distance_metersinteger

    Distance from the start in meters.

  • latitudenumber (float)

    Latitude of the point in degrees.

  • longitudenumber (float)

    Longitude of the point in degrees.

  • sort_orderinteger

    Sort order of the timing points.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/timing_point \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "base_event_id": 42,
    "point_type": "string",
    "distance_meters": 1,
    "latitude": 1.5,
    "longitude": 1.5,
    "sort_order": 1,
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00"
  }
]

Creates a new event timing point entry.

POST/api/event/timing_point

Request body application/json

  • dataEventTimingPoint2
    Show fields (7)
    • namestring

      Name of the timing point, for example start or finish.

    • point_typestring

      Type of the timing point.

    • distance_metersinteger

      Distance from the start in meters.

    • latitudenumber (float)

      Latitude of the point in degrees.

    • longitudenumber (float)

      Longitude of the point in degrees.

    • sort_orderinteger

      Sort order of the timing points.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new EventTimingPointEventTimingPoint

Show fields (11)
  • base_event_idinteger
  • idinteger

    Primary key of the timing point. Internal ID.

  • namestring

    Name of the timing point, for example start or finish.

  • point_typestring

    Type of the timing point.

  • distance_metersinteger

    Distance from the start in meters.

  • latitudenumber (float)

    Latitude of the point in degrees.

  • longitudenumber (float)

    Longitude of the point in degrees.

  • sort_orderinteger

    Sort order of the timing points.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/event/timing_point \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "point_type": "string",
    "distance_meters": 1,
    "latitude": 1.5,
    "longitude": 1.5,
    "sort_order": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "point_type": "string",
  "distance_meters": 1,
  "latitude": 1.5,
  "longitude": 1.5,
  "sort_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00"
}

Returns a single event timing point entry.

GET/api/event/timing_point/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single EventTimingPointEventTimingPoint

Show fields (11)
  • base_event_idinteger
  • idinteger

    Primary key of the timing point. Internal ID.

  • namestring

    Name of the timing point, for example start or finish.

  • point_typestring

    Type of the timing point.

  • distance_metersinteger

    Distance from the start in meters.

  • latitudenumber (float)

    Latitude of the point in degrees.

  • longitudenumber (float)

    Longitude of the point in degrees.

  • sort_orderinteger

    Sort order of the timing points.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/event/timing_point/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "point_type": "string",
  "distance_meters": 1,
  "latitude": 1.5,
  "longitude": 1.5,
  "sort_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00"
}

Updates an existing event timing point entry.

PUT/api/event/timing_point/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventTimingPoint2
    Show fields (7)
    • namestring

      Name of the timing point, for example start or finish.

    • point_typestring

      Type of the timing point.

    • distance_metersinteger

      Distance from the start in meters.

    • latitudenumber (float)

      Latitude of the point in degrees.

    • longitudenumber (float)

      Longitude of the point in degrees.

    • sort_orderinteger

      Sort order of the timing points.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a EventTimingPointEventTimingPoint

Show fields (11)
  • base_event_idinteger
  • idinteger

    Primary key of the timing point. Internal ID.

  • namestring

    Name of the timing point, for example start or finish.

  • point_typestring

    Type of the timing point.

  • distance_metersinteger

    Distance from the start in meters.

  • latitudenumber (float)

    Latitude of the point in degrees.

  • longitudenumber (float)

    Longitude of the point in degrees.

  • sort_orderinteger

    Sort order of the timing points.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/event/timing_point/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "point_type": "string",
    "distance_meters": 1,
    "latitude": 1.5,
    "longitude": 1.5,
    "sort_order": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "point_type": "string",
  "distance_meters": 1,
  "latitude": 1.5,
  "longitude": 1.5,
  "sort_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00"
}

Updates an existing event timing point entry.

PATCH/api/event/timing_point/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataEventTimingPoint2
    Show fields (7)
    • namestring

      Name of the timing point, for example start or finish.

    • point_typestring

      Type of the timing point.

    • distance_metersinteger

      Distance from the start in meters.

    • latitudenumber (float)

      Latitude of the point in degrees.

    • longitudenumber (float)

      Longitude of the point in degrees.

    • sort_orderinteger

      Sort order of the timing points.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a EventTimingPointEventTimingPoint

Show fields (11)
  • base_event_idinteger
  • idinteger

    Primary key of the timing point. Internal ID.

  • namestring

    Name of the timing point, for example start or finish.

  • point_typestring

    Type of the timing point.

  • distance_metersinteger

    Distance from the start in meters.

  • latitudenumber (float)

    Latitude of the point in degrees.

  • longitudenumber (float)

    Longitude of the point in degrees.

  • sort_orderinteger

    Sort order of the timing points.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/event/timing_point/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "point_type": "string",
    "distance_meters": 1,
    "latitude": 1.5,
    "longitude": 1.5,
    "sort_order": 1
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "point_type": "string",
  "distance_meters": 1,
  "latitude": 1.5,
  "longitude": 1.5,
  "sort_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00"
}

Deletes an archived EventTimingPoint. Reads keep their data, only the link to the point is removed.

DELETE/api/event/timing_point/{identifier}

Path parameters

identifierrequiredstring

Responses

200Deletes a single EventTimingPointEventTimingPoint

Show fields (11)
  • base_event_idinteger
  • idinteger

    Primary key of the timing point. Internal ID.

  • namestring

    Name of the timing point, for example start or finish.

  • point_typestring

    Type of the timing point.

  • distance_metersinteger

    Distance from the start in meters.

  • latitudenumber (float)

    Latitude of the point in degrees.

  • longitudenumber (float)

    Longitude of the point in degrees.

  • sort_orderinteger

    Sort order of the timing points.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/event/timing_point/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "base_event_id": 42,
  "point_type": "string",
  "distance_meters": 1,
  "latitude": 1.5,
  "longitude": 1.5,
  "sort_order": 1,
  "deleted": true,
  "created": "2026-10-15T09:30:00+02:00"
}